| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# IG::Num::Func2dBaseNoHessian Class Reference

Base class for scalar functions of 2 variables (implementations of the IFunc2d interface). that do not implement calculation of the Hessian (second derivatives). Beside the IFunc2dinterface, this class also implements the IScalarFunctioninterface. This does not affect efficiency but adds the functionality for using objects as general (untransformed) scalar functions. More...

Inheritance diagram for IG::Num::Func2dBaseNoHessian:
[legend]
Collaboration diagram for IG::Num::Func2dBaseNoHessian:
[legend]

List of all members.

## Public Member Functions
| Func2dBaseNoHessian ()
override void | Hessian (double x, double y, out double dxx, out double dyy, out double dxy)
| Function for calculating function Hessian, just throws the NotImplementedException exception.

## Detailed Description

Base class for scalar functions of 2 variables (implementations of the IFunc2d interface). that do not implement calculation of the Hessian (second derivatives).

Beside the IFunc2d

interface, this class also implements the IScalarFunction

interface. This does not affect efficiency but adds the functionality for using objects as general (untransformed) scalar functions.

$A Igor Apr09;

## Constructor & Destructor Documentation

IG::Num::Func2dBaseNoHessian::Func2dBaseNoHessian | ( |  | ) | `[inline]`

## Member Function Documentation

override void IG::Num::Func2dBaseNoHessian::Hessian | ( | double | x,
|  | double | y,
|  | out double | dxx,
|  | out double | dyy,
|  | out double | dxy
| ) |  | `[inline]`

Function for calculating function Hessian, just throws the NotImplementedException exception.

Implements IG::Num::IFunc2d.

The documentation for this class was generated from the following file:

- Function2d.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events